from gi.repository import GObject, RB, Peas, Gtk


class TestBottomPanelPlugin (GObject.Object, Peas.Activatable):
    object = GObject.property(type=GObject.Object)

    def __init__(self):
        super(TestBottomPanelPlugin, self).__init__()

    def do_activate(self):
        self.main_frm = Gtk.Frame()
        self.main_frm.set_label("Bottom panel")
        self.main_frm.show()
        self.main_frm.set_size_request(200, 200)
        shell = self.object
        shell.add_widget(self.main_frm, RB.ShellUILocation.MAIN_BOTTOM, True, True)	

    def do_deactivate(self):
        shell = self.object
        shell.remove_widget(self.main_frm, RB.ShellUILocation.MAIN_BOTTOM)
